/* PROGRAMA DE LEITURA EM SAS DO ARQUIVO DE MICRODADOS DE DOMICLIOS
   DA PNAD 2006  - PESQUISA BSICA

/* Obs.: As duas primeiras posies de V0102 (Nmero de controle)
        so o cdigo da UF (Unidade da Federao).
   Obs.2: Ajuste o endereo do arquivo DOM2006.TXT no comando INFILE */

DATA DOM2006;
     INFILE '...\Dados\DOM2006.TXT' LRECL=215 MISSOVER;
     INPUT  @00001  V0101  $4.    /* ANO DE REFERNCIA               */
            @00005  UF     $2.    /* UNIDADE DA FEDERAO            */
            @00005  V0102  $8.    /* NMERO DE CONTROLE              */
            @00013  V0103  $3.    /* NMERO DE SRIE                 */
            @00016  V0104  $2.    /* TIPO DE ENTREVISTA              */
            @00018  V0105   2.    /* TOTAL DE MORADORES              */
            @00020  V0106   2.    /* TOTAL MORADORES 10 ANOS OU +    */
            @00022  V0201  $1.    /* ESPCIE DE DOMICLIO            */
            @00023  V0202  $1.    /* TIPO DE DOMICLIO               */
            @00024  V0203  $1.    /* MATERIAL DAS PAREDES EXTERNAS   */
            @00025  V0204  $1.    /* MATERIAL DO TELHADO             */
            @00026  V0205   2.    /* NMERO DE CMODOS               */
            @00028  V0206   2.    /* NUMERO COMODOS (DORMITRIOS)    */
            @00030  V0207  $1.    /* CONDIO DE PROPRIEDADE         */
            @00031  V0208   12.   /* ALUGUEL MENSAL PAGO             */
            @00043  V2081  $1.    /* CDIGO DE VALOR DO ALUGUEL      */
            @00044  V0209   12.   /* PRESTAO MENSAL PAGA           */
            @00056  V2091  $1.    /* CDIGO DE VALOR DA PRESTAO    */
            @00057  V0210  $1.    /* PROPRIEDADE DO TERRENO          */
            @00058  V0211  $1.    /* GUA CANALIZADA EM ALGUM CMODO */
            @00059  V0212  $1.    /* PROCEDNCIA DA GUA             */
            @00060  V0213  $1.    /* GUA CANALIZADA P/ PROPRIEDADE  */
            @00061  V0214  $1.    /* GUA DE POO OU NASCENTE        */
            @00062  V0215  $1.    /* EXISTE BANHEIRO OU SANITRIO    */
            @00063  V0216  $1.    /* BANHEIRO/SANITRIO  DE USO:    */
            @00064  V2016   2.    /* NMERO DE BANHEIROS/SANITRIOS  */
            @00066  V0217  $1.    /* FORMA DE ESCOADOURO BANH./SAN.  */
            @00067  V0218  $1.    /* DESTINO DO LIXO DOMICILIAR      */
            @00068  V0219  $1.    /* FORMA DE ILUMINAO             */
            @00069  V0220  $1.    /* TEM TELEFONE CELULAR            */
            @00070  V2020  $1.    /* TEM TELEFONE FIXO               */
            @00071  V0221  $1.    /* TEM FOGO DE 2 OU + BOCAS       */
            @00072  V0222  $1.    /* TEM FOGO DE 1 BOCA             */
            @00073  V0223  $1.    /* FOGO USA PREDOMINANTEMENTE:    */
            @00074  V0224  $1.    /* TEM FILTRO D'GUA               */
            @00075  V0225  $1.    /* TEM RDIO                       */
            @00076  V0226  $1.    /* TEM TELEVISO EM CORES          */
            @00077  V0227  $1.    /* TEM TV EM PRETO E BRANCO        */
            @00078  V0228  $1.    /* TEM GELADEIRA                   */
            @00079  V0229  $1.    /* TEM FREEZER                     */
            @00080  V0230  $1.    /* TEM MQUINA DE LAVAR ROUPA      */
            @00081  V0231  $1.    /* TEM MICROCOMPUTADOR             */
            @00082  V0232  $1.    /* ESTE MICRO ACESSA  INTERNET    */
            @00083  V4105  $1.    /* CDIGO DE SITUAO CENSITRIA   */
            @00084  V4106  $1.    /* CDIGO TIPO DE SETOR            */
            @00085  V4107  $1.    /* CDIGO DE REA CENSITRIA       */
            @00086  V4600  $2.    /* DIA DE REFERNCIA               */
            @00088  V4601  $2.    /* MS DE REFERNCIA               */
            @00090  V4602  $4.    /* ESTRATO                         */
            @00094  V4604   2.    /* NMERO MUNICPIOS SELECIONADOS  */
            @00096  V4605   12.10 /* PROBABILIDADE DO MUNICPIO      */
            @00108  V4606   3.    /* NMERO DE SETORES SELECIONADOS  */
            @00111  V4607   12.10 /* PROBABILIDADE DO SETOR          */
            @00123  V4608   6.1   /* INTERVALO SELEO DO DOMICLIO  */
            @00129  V4609   9.    /* PROJEO DE POPULAO           */
            @00138  V4610   3.    /* INVERSO DA FRAO               */
            @00141  V4611   5.    /* PESO DO DOMICLIO               */
            @00146  V4614   12.   /* RENDIMENTO MENSAL DOMICILIAR    */
            @00158  UPA	   $3.    /* DELIMITAO DO MUNICPIO        */
            @00161  V4617  $7.    /* STRAT - ID. AUTO E NO-AUTO     */
            @00168  V4618  $7.    /* PSU - UN. PRIMRIA AMOSTRAGEM   */
            @00175  V4619   5.2   /* FATOR DE SUBAMOSTRAGEM          */
            @00180  V4620   2.    /* NUM COMPONENTES DO DOM (C/AGREG)*/
            @00182  V4621   12.   /* REND. DOMICILIAR P/CAP (C/AGREG)*/
            @00194  V4622  $2.    /* FAIXA REND. DOMICILIAR P/CAPITA */
			@00196  V2401  $1.    /*  MORADOR DO DOMICLIO          */
			@00197  V2402   2.    /* NUMERO DE ORDEM DO INFORMANTE   */
			@00199  V2403  $1.    /* ALGUM MORADOR RECEBEU BOLSA FAM */
			@00200  V2404  $1.    /* MOR IDOSO/DEFIC RECEBEU BPC-LOAS*/
			@00201  V2405   2.    /* NUM IDOSO/DEFIC RECEB BPC-LOAS  */
			@00203  V2406  $1.    /* OUTRO MORADOR RECEBEU BPC-LOAS  */
			@00204  V2407  $1.    /* ALGUM MORADOR RECEBEU PETI      */
			@00205  V2408   2.    /* NUM MOR INSCRITOS/BENEFIC PETI  */
			@00207  V2409  $1.    /* MOR RECEB OUTRO PROG SOCIAL GOV */
            @00208  V9992  $8.    /* DATA GERAO ARQUIVO (AAAAMMDD) */
            ;
RUN;
